nav {
  position: fixed;
  margin-top: -3px;
  z-index: 300;
  width: 300px;
  background: #292029;
  border-right: 3px solid #969;
  border-bottom: 3px solid #969;
  border-bottom-right-radius: 7px;
  transform: translateX(-100%);
  transition: transform 300ms;
}

nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

nav ul li:not(:first-child) {
  border-top: 1px solid #110d11;
}

nav ul li a {
  display: block;
  padding: 1em;
  color: #e6d2e6;
}

nav ul li:hover {
  background: #463646;
}

#navButton:checked ~ nav {
  transform: translateX(0);
}

#navButton {
  display: none;
}

.iconContainer {
    display: flex;
    align-items: center;
    gap: 1em;
    height: 64px;
}

.iconContainer .icon {
  transition-duration: 200ms;
  transition-property: filter;
}

.iconContainer .tag {
    appearance: none;
    -webkit-appearance: none;
    padding: 0 5px;
    border-radius: 7px;
    border: none;
    font-size: 18px;
    color: #969;
    box-shadow: 0 0 0 3px #969;
    transition-duration: 200ms;
    transition-property: background;
}

.iconContainer :last-child .icon {
    margin-right: 0;
}

.iconContainer .icon:hover {
  filter: brightness(70%);
}

.hidlink,
.hidlink:hover,
.hidlink:visited {
  color: #e6d2e6;
  text-decoration: none;
}

.textinput {
  min-width: 100%;
  max-width: 100%;
  min-height: 3em;
  height: 6em;
  margin-bottom: 20px;
  border: none;
  outline: none;
  background: transparent;
  color: #e6d2e6;
  font-size: 2em;
}

.pronoun {
  display: inline-block;
  margin-left: 0.3em;
  width: 0;
  white-space: nowrap;
  vertical-align: 0.3em;
}

code {
    display: inline-block;
    background-color: black;
    font-family: monospace;
}

hr {
    background-color: #292029;
    border: none;
    border-radius: 7px;
    height: 3px;
}

.post {
    margin-top: 2em;
    background-color: #292029;
    padding: 0.5em;
    border-radius: 7px;
    box-shadow: 0 0 0 2px #110d11;
    transition-duration: 200ms;
    transition-property: box-shadow;
}

.post a {
    color: #e6d2e6;
    text-decoration: underline 2px;
}

.postDetails {
    font-family: monospace !important;
}

.inactive, .inactive a {
    color: #766B76;
}
